Subject: Re: bug#8217: 23.3; Runtime segmentation fault when compiled with -O2 on GNU/Linux

From: Stefan Monnier <[email-masked]>
Date: Thu, 24 Mar 2011 21:17:02 -0400

> By the way, I notice that x_scroll_bar_create has

>   struct scroll_bar *bar
>     = ALLOCATE_PSEUDOVECTOR (struct scroll_bar, x_window, PVEC_OTHER);

> I don't know if the former is correct (it was introduced back in
> revision 82084 by Stefan),

It should be.  It should allocate a vector large enough for `struct
scroll_bar' and with all fields up to x_window of type Lisp_Object and
traceable by the GC.

> but it means the SCROLL_BAR_VEC_SIZE macro defined in xterm.h is
> unused, which looks odd.

Looks like a left over I failed to remove.

> In comparison, w32term.c has

>   struct scroll_bar *bar
>     = XSCROLL_BAR (Fmake_vector (make_number (SCROLL_BAR_VEC_SIZE), Qnil));

Looks like I also failed to apply my change to w32term.c.

        Stefan